[ubuntu/maverick] xmlbeans 2.5.0-3 (Accepted)

Artur Rona ari-tczew at tlen.pl
Mon May 24 20:20:23 BST 2010


xmlbeans (2.5.0-3) unstable; urgency=low

  * Fix /usr/bin/validate filename conflict with wdg-html-validator:
    - rename our "validate" to "xsdvalidate".
    - d/README.Debian: describe this change wrt upstream.
    (Closes: #578032)
  * Remove d/README.source since we switched to source format 3.0

xmlbeans (2.5.0-2) unstable; urgency=low

  [ Damien Raude-Morvan ]
  * New xmlbeans package which contains CLI tools (Closes: #571245)
  * TODO: build manpages for those tools

  [ Torsten Werner ]
  * Change maintainers into Maintainers.
  * Switch to source format 3.0.
  * Install tools into the xmlbeans packages.

xmlbeans (2.5.0-1) unstable; urgency=low

  * Import package in Debian based on Thierry Carrez <thierry.carrez at ubuntu.com>
    work. Thanks Thierry! (Closes: #567778)
  * New upstream release.
  * Bump Debhelper compat level to 7
  * Update to Standards-Version 3.8.4:
    - Move to java section
    - Add Vcs-* fields to pkg-java svn repository
  * Add debian/watch to track upstream releases
  * Move ant and default-jdk to Build-Depends (needed for clean target)
  * Use Quilt as patch system:
    - Update debian/rules
    - Add quilt to Build-Depends
    - Update all patches
    - Add debian/README.source
  * Update and review of debian/copyright
  * Install JARs in maven-repository
    - Build-Depends on maven-repo-helper
    - Use mh_installjar to install JARs
    - Add a get-orig-pom target in debian/rules

xmlbeans (2.4.0-0ubuntu2) jaunty; urgency=low

  * Do not use bundled oldxbean.jar to build, build-dep on itself instead.

xmlbeans (2.4.0-0ubuntu1) jaunty; urgency=low

  * Initial release

Date: Tue, 20 Apr 2010 23:29:37 +0200
Changed-By: Artur Rona <ari-tczew at tlen.pl>
Maintainer: Debian Java Maintainers <pkg-java-maintainers at lists.alioth.debian.org>
Signed-By: Benjamin Drung <benjamin.drung at gmail.com>
Origin: debian/unstable
https://launchpad.net/ubuntu/maverick/+source/xmlbeans/2.5.0-3
-------------- next part --------------
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 20 Apr 2010 23:29:37 +0200
Source: xmlbeans
Binary: libxmlbeans-java xmlbeans
Architecture: source
Version: 2.5.0-3
Distribution: maverick
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers at lists.alioth.debian.org>
Changed-By: Artur Rona <ari-tczew at tlen.pl>
Description: 
 libxmlbeans-java - Java library for accessing XML by binding it to Java types
 xmlbeans   - Java library for accessing XML by binding it to Java types - tool
Closes: 567778 571245 578032
Changes: 
 xmlbeans (2.5.0-3) unstable; urgency=low
 .
   * Fix /usr/bin/validate filename conflict with wdg-html-validator:
     - rename our "validate" to "xsdvalidate".
     - d/README.Debian: describe this change wrt upstream.
     (Closes: #578032)
   * Remove d/README.source since we switched to source format 3.0
 .
 xmlbeans (2.5.0-2) unstable; urgency=low
 .
   [ Damien Raude-Morvan ]
   * New xmlbeans package which contains CLI tools (Closes: #571245)
   * TODO: build manpages for those tools
 .
   [ Torsten Werner ]
   * Change maintainers into Maintainers.
   * Switch to source format 3.0.
   * Install tools into the xmlbeans packages.
 .
 xmlbeans (2.5.0-1) unstable; urgency=low
 .
   * Import package in Debian based on Thierry Carrez <thierry.carrez at ubuntu.com>
     work. Thanks Thierry! (Closes: #567778)
   * New upstream release.
   * Bump Debhelper compat level to 7
   * Update to Standards-Version 3.8.4:
     - Move to java section
     - Add Vcs-* fields to pkg-java svn repository
   * Add debian/watch to track upstream releases
   * Move ant and default-jdk to Build-Depends (needed for clean target)
   * Use Quilt as patch system:
     - Update debian/rules
     - Add quilt to Build-Depends
     - Update all patches
     - Add debian/README.source
   * Update and review of debian/copyright
   * Install JARs in maven-repository
     - Build-Depends on maven-repo-helper
     - Use mh_installjar to install JARs
     - Add a get-orig-pom target in debian/rules
 .
 xmlbeans (2.4.0-0ubuntu2) jaunty; urgency=low
 .
   * Do not use bundled oldxbean.jar to build, build-dep on itself instead.
 .
 xmlbeans (2.4.0-0ubuntu1) jaunty; urgency=low
 .
   * Initial release
Checksums-Sha1: 
 51cea994719f94ec4c107040c48696485b2194b5 1875 xmlbeans_2.5.0-3.dsc
 248c793675aeaa467c439a1df01c068e3506168c 1309701 xmlbeans_2.5.0.orig.tar.gz
 dc2672edabac4a5f3cbbd04c742997084a0c3d84 7769 xmlbeans_2.5.0-3.debian.tar.gz
Checksums-Sha256: 
 4b198061b264f4130ee65d83334fa040042324373f7bbaf442015098b0f083bf 1875 xmlbeans_2.5.0-3.dsc
 84c211da78dae2e0916c9faa114f299075dfc85e82068e1c8c7fc8d9013fe136 1309701 xmlbeans_2.5.0.orig.tar.gz
 b5434c1cb9228dd05329b262d9043714a6bbd1a360d676de960061e3ce41d2e6 7769 xmlbeans_2.5.0-3.debian.tar.gz
Files: 
 77cb3348c6c41cf7ed1edf885a267cb8 1875 java optional xmlbeans_2.5.0-3.dsc
 c2e86a10239ad2b69314fffd30cb90b3 1309701 java optional xmlbeans_2.5.0.orig.tar.gz
 0241792479fe6f92d60266d4972336d2 7769 java optional xmlbeans_2.5.0-3.debian.tar.gz
Origin: debian/unstable
Launchpad-Bugs-Fixed: 584696

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCgAGBQJL+tCnAAoJEBWetcTvyHdMx4AP/0MAfEOl4o74K8mwwFa9bFh5
sEGZm5nSq7nf6yMncVBUDsq+H2RT4wzsIRlYDWAPBm0memd0bpR4Vg7Bif6g85IW
K0HnPUcnom8hYYhKClsbycshMW2YkSATdnLptMQjYKWUfXlV8nxAXK1crRQeGknK
WSuNzwLeR1Hn7EEU+JJOpPsMq8YhpXKCaizlUAV/NcYB3C2sfIOoD74eftZWrO2P
6f3Z4rUOSEqGvfWplkqBSNWCYDV1PiBodOOGPpWwXHSXWOX1Udiu6rr02pCekD46
SoKMOJA3IkBYe12r1WPIOS2mv/j8ER8T2cyyf4jbh2mxNbpJd456w/LLE9mYGkSv
IiiZ78Bf4ARLkMkFTajvwN/Ln5S/L2XzQdrjsaaC5Yq5FKqbCYYo1llCnopE1yLJ
zj1VlUPgDJu61teCZWSty5KkVg0BQtFbJoiG6sV5Vcamqky68dXSTW0IOyw5pmil
pGPXJAkKiAPnqrUCpXL4zDo3BuJpl9m90AUYD3KgS2csH8tNFc2XJa5RbHpsHh8V
1MkUGR9eZQqInW43TTZgTzYTXDN9G556rlXKlhCDzhaLAkqpPa8VbHITdVSLZ3jd
cUE6RlYjD4UCFxcvmpP2FD8ghE7rXlhn2EuMeNGh0IXYFJbK4LnSQtQtl3sn2s74
Gg6rciuWGiZCWRA6BGhk
=vSaH
-----END PGP SIGNATURE-----


More information about the Maverick-changes mailing list